#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software è fornito "così com'è", senza garanzie di  sor
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_INSPROFDOTTRIC_Microdati_2018_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_INSPROFDOTTRIC_A2018<- read.delim2 (fileInput,  header=T, sep="	",  quote="",  na.strings = ".")
attr(DF_INSPROFDOTTRIC_A2018, "label") <- c(
"Progressivo del dottore di ricerca",
"Classe di eta' al dottorato",
"Sesso",
"Cittadinanza",
"Cittadinanza italiana (1) o straniera (0)",
"Anno dottorato",
"Trimestre di dottorato",
"Codice ateneo",
"Provincia ateneo conseguimento dottorato",
"Regione ateneo conseguimento dottorato",
"Ripartizione ateneo conseguimento dottorato",
"Area del dottorato (14 modalita') utilizzata come totale noto per la calibrazione",
"Ha conseguito la laurea  di accesso al dottorato in Italia o all'estero",
"Paese estero di laurea",
"Anno conseguimento della laurea",
"Classe di eta' alla laurea",
"Classe di voto di laurea",
"Titolare di una borsa di studio durante dottorato",
"Ente finanziatore della borsa di studio",
"Pagamenti regolari della borsa di studio",
"Reddito sostitutivo della borsa di studio",
"Borsa di studio durante dottorato o reddito sostitutivo della borsa di studio",
"Aspettativa da lavoro fruita durante il dottorato",
"Attivita' didattica svolta durante il dottorato",
"Formazione estero durante dottorato",
"Paese estero di formazione durante dottorato",
"Soddisfazione periodo di formazione all'estero durante dottorato",
"Ha concluso il dottorato nei termini previsti",
"Motivo per cui non ha concluso nei termini previsti",
"Rifarebbe lo stesso corso di dottorato",
"Motivo principale per cui non lo rifarebbe",
"Soddisfazione per il dottorato: qualita' offerta didattica",
"Soddisfazione per il dottorato: quantita' attivita' formative offerte",
"Soddisfazione per il dottorato: competenza del corpo docente",
"Soddisfazione per il dottorato: attrezzature, spazi e strumentazione",
"Soddisfazione per il dottorato: addestramento alla ricerca",
"Soddisfazione per il dottorato: collaborazione con ricercatori e docenti",
"Soddisfazione per il dottorato: incoraggiamento collaborazione",
"Soddisfazione generale per il dottorato",
"Ha partecipato a progetti con assegni/borse di studio",
"Ente finanziatore progetto di ricerca",
"Ha fruito di assegno di ricerca nel 2012",
"Ha fruito di assegno di ricerca nel 2013",
"Ha fruito di assegno di ricerca nel 2014",
"Ha fruito di assegno di ricerca nel 2015",
"Ha fruito di assegno di ricerca nel 2016",
"Ha fruito di assegno di ricerca nel 2017",
"Periodo estero dalla fine dottorato a oggi",
"Paese estero dove si e' recato dopo il dottorato",
"Mesi trascorsi nel paese estero",
"Situazione lavorativa",
"Motivo principale per cui non lavora",
"Attivita' principale (una o piu' attivita')",
"Attivita' secondaria",
"Altra attivita' 1",
"Altra attivita' 2",
"Altra attivita' 3",
"Numero di attivita' lavorative svolte",
"Lavora per una Pubblica Amministrazione o privato",
"Settore economico",
"Settore di attivita' economica dettagliato",
"Settore di attivita' economica aggregato",
"Lavora nello stesso ateneo del dottorato",
"Posizione nell'universita'",
"Posizione lavoro autonomo",
"Posizione lavoro dipendente",
"Posizione nell'ente pubblico di ricerca (EPR)",
"Posizione nell'occupazione attuale",
"Lavoro a tempo indeterminato o a termine",
"Condizione a 6 modalita'",
"Lavoro continuativo o occasionale",
"Tipo di contratto",
"Motivo del lavoro a termine",
"Tempo pieno o part-time",
"Motivo part-time",
"Ore settimanali di lavoro",
"Codifica professione CP11 a 1 digit",
"Codifica professione CP11 a 2 digit",
"Area tematica della borsa/assegno",
"Lavora in Italia o paese estero",
"Provincia in cui lavora",
"Regione in cui lavora",
"Ripartizione in cui lavora",
"Stato estero in cui lavora",
"Anno inizio attivita per tutti i dottori (2012 e 14) che lavorano",
"Durata (in mesi) del lavoro attuale",
"Trimestre di inizio attivita",
"Reddito mensile totale",
"Canale di accesso",
"Miglioramento posizione lavorativa/reddito",
"Dottorato richiesto per accedere al lavoro",
"Dottorato necessario per svolgere lavoro",
"Laurea richiesta per accedere al lavoro",
"Soddisfazione per le mansioni",
"Soddisfazione per la stabilita' e sicurezza del posto di lavoro",
"Soddisfazione per il grado di autonomia/responsabilita'",
"Soddisfazione per l'utilizzo delle conoscenze acquisite durante il dottorato",
"Soddisfazione per il trattamento economico",
"Soddisfazione per le possibilita' di carriera",
"Soddisfazione per le possibilita' di arricchimento professionale",
"Soddisfazione complessiva per il lavoro",
"Svolge attivita' di ricerca e sviluppo",
"Svolge attivita' di docenza",
"Dalla fine del dottorato: articoli",
"Dalla fine del dottorato: capitoli in volumi",
"Dalla fine del dottorato: volumi monografici",
"Dalla fine del dottorato: recensioni",
"Dalla fine del dottorato: proceeding",
"Dalla fine del dottorato: voci enciclopediche",
"Dalla fine del dottorato: curatele di volumi",
"Dalla fine del dottorato: brevetti riconosciuti",
"Progetti di ricerca con universita'",
"Progetti di ricerca con enti pubblici di ricerca",
"Progetti di ricerca con istituti di ricerca privati",
"Progetti di ricerca con consorzi di ricerca (pubblici o privati)",
"Progetti di ricerca con imprese",
"Progetti di ricerca con organismi internazionali",
"Progetti di ricerca dopo il dottorato (1=SI, 2=NO)",
"Numero di ore per altri lavori",
"Lavora al dottorato",
"Tipo di lavoro al momento della tesi",
"Ateco del lavoro al momento della tesi",
"Posizione del lavoro autonomo al momento della discussione della tesi",
"Posizione del lavoro dipendente al momento della discussione della tesi",
"Lavoro al dottorato: attivita' di ricerca e sviluppo",
"Lavoro al dottorato: prevalentemente in italia o estero",
"Lavoro al dottorato:  anno inizio",
"Lavoro al dottorato:  trimestre inizio",
"Lavoro al dottorato: motivo fine lavoro",
"Uno/tre anni dopo il dottorato (nel 2015): lavorava",
"Uno/tre anni dopo il dottorato (nel 2015): se cercava lavoro",
"Uno/tre anni dopo il dottorato (nel 2015): tipo di lavoro",
"Uno/tre anni dopo il dottorato (nel 2015): ateco",
"Uno/tre anni dopo il dottorato (nel 2015): posizione autonomi",
"Uno/tre anni dopo il dottorato (nel 2015): posizione dipendenti",
"Uno/tre anni dopo il dottorato (nel 2015): attivita' di ricerca/sviluppo",
"Uno/tre anni dopo il dottorato (nel 2015): lavoro in Italia o all'estero",
"Cerca lavoro",
"Condizione nel 2018 (4 modalita')",
"Motivo per cui non cerca lavoro",
"Cerca lavoro: quando ultima iniziativa",
"Cerca lavoro: tempo pieno o part-time",
"Cerca lavoro come dipendente o in proprio",
"Cerca lavoro: esclusivamente nell'ambito della ricerca",
"Cerca lavoro: in Italia o all'estero",
"Cerca lavoro: cambiare citta'",
"Cerca lavoro: iniziare entro due settimane",
"Attualmente: vive in Italia o all'estero",
"Attualmente vive: provincia",
"Attualmente vive: regione",
"Attualmente vive: ripartizione",
"Attualmente vive: stato estero",
"Prima dell'universita':  viveva stesso comune dove vive ora",
"Prima dell'universita':  viveva in Italia o Estero",
"Prima dell'universita': provincia",
"Prima dell'universita': regione",
"Prima dell'universita': ripartizione",
"Prima dell'universita': stato estero",
"Prima del dottorato:  viveva stesso comune dove vive ora",
"Prima del dottorato:  viveva in Italia o Estero",
"Provincia in cui viveva prima del dottorato",
"Regione in cui viveva prima del dottorato",
"Ripartizione in cui viveva prima del dottorato",
"Stato estero in cui viveva prima del dottorato",
"Lasciare il Paese: specializzarsi in un settore",
"Lasciare il Paese: contatti con ambienti di ricerca",
"Lasciare il Paese: aver trovato un lavoro",
"Lasciare il Paese: lavoro adeguato alla professionalita'",
"Lasciare il Paese: mancanza di lavoro",
"Lasciare il Paese: difficolta' fondi per la ricerca",
"Lasciare il Paese: piu' indipendenza sul lavoro",
"Lasciare il Paese: motivi familiari e personali",
"Scelta Paese: occasioni di studio/formazione",
"Scelta Paese: precedenti esperienze",
"Scelta Paese: piu' opportunita' di lavoro",
"Scelta Paese: lavoro piu' qualificato",
"Scelta Paese: lavoro piu' retribuito",
"Scelta Paese: paese all'avanguardia",
"Scelta Paese: accordi bilaterali",
"Scelta Paese: motivi familiari e personali",
"Scelta comune: occasioni di studio/formazione",
"Scelta comune: precedenti esperienze",
"Scelta comune: piu' opportunita' di lavoro",
"Scelta comune: lavoro piu' qualificato",
"Scelta comune: lavoro piu' retribuito",
"Scelta comune: motivi personali",
"Pensa di lasciare l'Italia",
"Lasciare l'Italia: stato estero",
"Lasciare l'Italia: occasioni di studio/formazione",
"Lasciare l'Italia: precedenti esperienze",
"Lasciare l'Italia: piu' opportunita' di lavoro",
"Lasciare l'Italia: lavoro piu' qualificato",
"Lasciare l'Italia: lavoro piu' retribuito",
"Lasciare l'Italia: Paese e' all'avanguardia (disponibilita' di attrezzature scientifiche e tecnologie di punta)",
"Lasciare l'Italia: accordi bilaterali",
"Lasciare l'Italia: motivi familiari e personali",
"Stato civile",
"Ha figli?",
"Padre: titolo di studio",
"Padre: condizione occupazionale",
"Padre: lavoro dipendente o autonomo",
"Padre: posizione lavoro autonomo",
"Padre: posizione lavoro dipendente",
"Madre: titolo di studio",
"Titolo di studio piu' elevato tra i genitori",
"Madre: condizione occupazionale",
"Madre: lavoro dipendente o autonomo",
"Madre: posizione lavoro dipendente",
"Madre: posizione lavoro autonomo",
"Coefficiente di riporto all'universo")

eta_dott_Fact <- factor(DF_INSPROFDOTTRIC_A2018$eta_dott, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Eta' al dottorato minore o uguale a 28 anni", 
"Eta' al dottorato tra 29 e 30 anni", 
"Eta' al dottorato tra 31 e 34 anni", 
"Eta' al dottorato maggiore o uguale a 35 anni")) 


sesso_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sesso, 
levels=c(1, 
2), 
labels=c("Maschi", 
"Femmine")) 


cittadinanza_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cittadinanza, 
levels=c(100, 
101, 
301, 
998), 
labels=c("Italia", 
"Europa-EU, escluso Italia", 
"Resto del mondo, incluso apolidi", 
"Non definito")) 


citt_ita_Fact <- factor(DF_INSPROFDOTTRIC_A2018$citt_ita, 
levels=c(0, 
1), 
labels=c("No", 
"Si")) 


anno_dott_Fact <- factor(DF_INSPROFDOTTRIC_A2018$anno_dott, 
levels=c(1861, 
1862, 
1863, 
1864, 
1865, 
1866, 
1867, 
1868, 
1869, 
1870, 
1871, 
1872, 
1873, 
1874, 
1875, 
1876, 
1877, 
1878, 
1879, 
1880, 
1881, 
1882, 
1883, 
1884, 
1885, 
1886, 
1887, 
1888, 
1889, 
1890, 
1891, 
1892, 
1893, 
1894, 
1895, 
1896, 
1897, 
1898, 
1899, 
1900, 
1901, 
1902, 
1903, 
1904, 
1905, 
1906, 
1907, 
1908, 
1909, 
1910, 
1911, 
1912, 
1913, 
1914, 
1915, 
1916, 
1917, 
1918, 
1919, 
1920, 
1921, 
1922, 
1923, 
1924, 
1925, 
1926, 
1927, 
1928, 
1929, 
1930, 
1931, 
1932, 
1933, 
1934, 
1935, 
1936, 
1937, 
1938, 
1939, 
1940, 
1941, 
1942, 
1943, 
1944, 
1945, 
1946, 
1947, 
1948, 
1949, 
1950, 
1951, 
1952, 
1953, 
1954, 
1955, 
1956, 
1957, 
1958, 
1959, 
1960, 
1961, 
1962, 
1963, 
1964, 
1965, 
1966, 
1967, 
1968, 
1969, 
1970, 
1971, 
1972, 
1973, 
1974, 
1975, 
1976, 
1977, 
1978, 
1979, 
1980, 
1981, 
1982, 
1983, 
1984, 
1985, 
1986, 
1987, 
1988, 
1989, 
1990, 
1991, 
1992, 
1993, 
1994, 
1995, 
1996, 
1997, 
1998, 
1999, 
2000, 
2001, 
2002, 
2003, 
2004, 
2005, 
2006, 
2007, 
2008, 
2009, 
2010, 
2011, 
2012, 
2013, 
2014, 
2015, 
2016, 
2017, 
2018, 
2019, 
2020), 
labels=c("1861", 
"1862", 
"1863", 
"1864", 
"1865", 
"1866", 
"1867", 
"1868", 
"1869", 
"1870", 
"1871", 
"1872", 
"1873", 
"1874", 
"1875", 
"1876", 
"1877", 
"1878", 
"1879", 
"1880", 
"1881", 
"1882", 
"1883", 
"1884", 
"1885", 
"1886", 
"1887", 
"1888", 
"1889", 
"1890", 
"1891", 
"1892", 
"1893", 
"1894", 
"1895", 
"1896", 
"1897", 
"1898", 
"1899", 
"1900", 
"1901", 
"1902", 
"1903", 
"1904", 
"1905", 
"1906", 
"1907", 
"1908", 
"1909", 
"1910", 
"1911", 
"1912", 
"1913", 
"1914", 
"1915", 
"1916", 
"1917", 
"1918", 
"1919", 
"1920", 
"1921", 
"1922", 
"1923", 
"1924", 
"1925", 
"1926", 
"1927", 
"1928", 
"1929", 
"1930", 
"1931", 
"1932", 
"1933", 
"1934", 
"1935", 
"1936", 
"1937", 
"1938", 
"1939", 
"1940", 
"1941", 
"1942", 
"1943", 
"1944", 
"1945", 
"1946", 
"1947", 
"1948", 
"1949", 
"1950", 
"1951", 
"1952", 
"1953", 
"1954", 
"1955", 
"1956", 
"1957", 
"1958", 
"1959", 
"1960", 
"1961", 
"1962", 
"1963", 
"1964", 
"1965", 
"1966", 
"1967", 
"1968", 
"1969", 
"1970", 
"1971", 
"1972", 
"1973", 
"1974", 
"1975", 
"1976", 
"1977", 
"1978", 
"1979", 
"1980", 
"1981", 
"1982", 
"1983", 
"1984", 
"1985", 
"1986", 
"1987", 
"1988", 
"1989", 
"1990", 
"1991", 
"1992", 
"1993", 
"1994", 
"1995", 
"1996", 
"1997", 
"1998", 
"1999", 
"2000", 
"2001", 
"2002", 
"2003", 
"2004", 
"2005", 
"2006", 
"2007", 
"2008", 
"2009", 
"2010", 
"2011", 
"2012", 
"2013", 
"2014", 
"2015", 
"2016", 
"2017", 
"2018", 
"2019", 
"2020")) 


mese_dott_Fact <- factor(DF_INSPROFDOTTRIC_A2018$mese_dott, 
levels=c(1, 
2, 
3, 
4), 
labels=c("1° Trimestre", 
"2° Trimestre", 
"3° Trimestre", 
"4° Trimestre"

codice_ateneo_istat_Fact <- factor(DF_INSPROFDOTTRIC_A2018$codice_ateneo_istat, 
levels=c("00101", 
"00102", 
"00201", 
"01001", 
"01202", 
"01501", 
"01502", 
"01503", 
"01504", 
"01505", 
"01508", 
"01509", 
"01601", 
"01701", 
"01801", 
"01802", 
"02101", 
"02201", 
"02301", 
"02701", 
"02702", 
"02801", 
"03001", 
"03201", 
"03202", 
"03401", 
"03601", 
"03701", 
"03801", 
"04101", 
"04201", 
"04301", 
"04302", 
"04601", 
"04801", 
"04803", 
"05001", 
"05002", 
"05003", 
"05201", 
"05202", 
"05401", 
"05601", 
"05801", 
"05802", 
"05803", 
"05805", 
"05806", 
"05807", 
"05808", 
"05810", 
"06001", 
"06201", 
"06301", 
"06302", 
"06303", 
"06306", 
"06501", 
"06601", 
"06701", 
"06901", 
"07001", 
"07101", 
"07201", 
"07202", 
"07203", 
"07501", 
"07601", 
"07801", 
"07901", 
"08001", 
"08201", 
"08301", 
"08601", 
"08701", 
"09001", 
"09201", 
"99999"), 
labels=c("Universita' degli studi di Torino", 
"Politecnico di Torino", 
"Universita' degli studi del Piemonte orientale Amedeo Avogadro", 
"Universita' degli studi di Genova", 
"Universita' degli studi dell' Insubria", 
"Universita' degli studi di Milano", 
"Politecnico di Milano", 
"Universita' commerciale Luigi Bocconi di Milano", 
"Universita' Cattolica del Sacro Cuore", 
"Libera Universita' di Lingue e Comunicazione (IULM)", 
"Libera Universita' Vita-Salute San Raffaele di Milano", 
"Universita' degli studi di Milano-Bicocca", 
"Universita' degli studi di Bergamo", 
"Universita' degli studi di Brescia", 
"Universita' degli studi di Pavia", 
"Istituto Universitario di Studi Superiori di Pavia", 
"Libera Universita' di Bolzano", 
"Universita' degli studi di Trento", 
"Universita' degli studi di Verona", 
"Universita' degli studi Ca' Foscari di Venezia", 
"Universita' Iuav di Venezia", 
"Universita' degli studi di Padova", 
"Universita' degli studi di Udine", 
"Universita' degli studi di Trieste", 
"Scuola internazionale superiore di studi avanzati di Trieste", 
"Universita' degli studi di Parma", 
"Universita' degli studi di Modena e Reggio Emilia", 
"Universita' degli studi di Bologna", 
"Universita' degli studi di Ferrara", 
"Universita' degli studi Carlo Bo di Urbino", 
"Universita' Politecnica delle Marche - Ancona", 
"Universita' degli studi di Macerata", 
"Universita' degli studi di Camerino", 
"Scuola IMT Alti Studi di Lucca", 
"Universita' degli studi di Firenze", 
"Istituto Italiano di Scienze Umane e sociali", 
"Universita' degli studi di Pisa", 
"Scuola Normale Superiore di Pisa", 
"Scuola superiore di studi universitari e perfezionamento S. Anna di Pisa", 
"Universita' degli studi di Siena", 
"Universita' per stranieri di Siena", 
"Universita' degli studi di Perugia", 
"Universita' degli Studi della Tuscia", 
"Universita' degli studi di Roma La Sapienza", 
"Universita' degli studi di Roma Tor Vergata", 
"Libera Universita' Maria SS.Assunta - (LUMSA) di Roma", 
"Libera Universita' internazionale degli studi sociali Guido Carli - (LUISS) di Roma", 
"Universita' degli studi di Roma Foro Italico", 
"Universita' degli studi Roma Tre", 
"Universita' Campus Bio-Medico di Roma", 
"Universita' telematica Guglielmo Marconi di Roma", 
"Universita' degli studi di Cassino", 
"Universita' degli Studi del Sannio", 
"Universita' degli studi di Napoli Federico II", 
"Universita' degli studi di Napoli - Parthenope", 
"Universita' degli studi L'Orientale di Napoli", 
"Seconda Universita' degli studi di Napoli", 
"Universita' degli studi di Salerno", 
"Universita' degli studi di L'Aquila", 
"Universita' degli studi di Teramo", 
"Universita' degli studi Gabriele D'Annunzio di Chieti e Pescara", 
"Universita' degli studi del Molise", 
"Universita' degli studi di Foggia", 
"Universita' degli studi di Bari", 
"Politecnico di Bari", 
"Libera Universita' Mediterranea Jean Monnet", 
"Universita' degli studi di Lecce", 
"Universita' degli studi della Basilicata", 
"Universita' degli studi della Calabria", 
"Universita' degli studi di Catanzaro - Magna Grecia", 
"Universita' degli studi Mediterranea di Reggio Calabria", 
"Universita' degli studi di Palermo", 
"Universita' degli studi di Messina", 
"Libera Universita' della Sicilia Centrale KORE di Enna", 
"Universita' degli studi di Catania", 
"Universita' degli studi di Sassari", 
"Universita' degli studi di Cagliari", 
"Altro Ateneo: Universita' Carlo Cattaneo (LIUC); Universita' per stranieri di Perugia; Universita' degli studi Internazionali di Roma - UNINT; Universita' Europea di Roma; Istituto Universitario Suor Orsola Benincasa di Napoli")) 


ateneo_prov_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ateneo_prov, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"096", 
"103", 
"007", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"097", 
"098", 
"108", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"093", 
"008", 
"009", 
"010", 
"011", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"099", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"100", 
"054", 
"055", 
"041", 
"042", 
"043", 
"044", 
"109", 
"056", 
"057", 
"058", 
"059", 
"060", 
"066", 
"067", 
"068", 
"069", 
"070", 
"094", 
"061", 
"062", 
"063", 
"064", 
"065", 
"071", 
"072", 
"073", 
"074", 
"075", 
"110", 
"076", 
"077", 
"078", 
"079", 
"080", 
"101", 
"102", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"095", 
"104", 
"105", 
"106", 
"107"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Biella", 
"Verbano-Cusio-Ossola", 
"Valle d'Aosta/Vallée d'Aoste", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Lecco", 
"Lodi", 
"Monza e della Brianza", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Pordenone", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forlì-Cesena", 
"Rimini", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Prato", 
"Perugia", 
"Terni", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Fermo", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Isernia", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Barletta-Andria-Trani", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Crotone", 
"Vibo Valentia", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Oristano", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias"))

ateneo_reg_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ateneo_reg, 
levels=c("010", 
"020", 
"030", 
"041", 
"042", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Bolzano - Bozen", 
"Trento", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


ateneo_rip_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ateneo_rip, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


cod_area_w_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cod_area_w, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15), 
labels=c("Scienze matematiche e informatiche", 
"Scienze fisiche", 
"Scienze chimiche", 
"Scienze della terra", 
"Scienze biologiche", 
"Scienze mediche", 
"Scienze agrarie e veterinarie", 
"Ingegneria civile e Architettura", 
"Ingegneria industriale e dell'informazione", 
"Scienze dell'antichita', filologico-letterarie e storico-artistiche", 
"Scienze storiche, filosofiche, pedagogiche e psicologiche", 
"Scienze giuridiche", 
"Scienze economiche e statistiche", 
"Scienze politiche e sociali", 
"Altro")) 


lau_ita_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lau_ita, 
levels=c(1, 
2), 
labels=c("In Italia", 
"In un altro Paese")) 


paese_l_Fact <- factor(DF_INSPROFDOTTRIC_A2018$paese_l, 
levels=c(100, 
101, 
301, 
998), 
labels=c("Italia", 
"Europa-EU, escluso Italia", 
"Resto del mondo, incluso apolidi", 
"Non definito")) 


eta_lau_Fact <- factor(DF_INSPROFDOTTRIC_A2018$eta_lau, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Eta' alla laurea minore o uguale a 24 anni", 
"Eta' alla laurea tra 25 e 26 anni", 
"Eta' alla laurea tra 27 e 30 anni", 
"Eta' alla laurea maggiore o uguale a 31 anni")) 


votolau_Fact <- factor(DF_INSPROFDOTTRIC_A2018$votolau, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Voto pari a 110 e lode su 110", 
"Voto pari a 110 su 110", 
"Voto da 105 a 109 su 110", 
"Voto da 100 a 104 su 110", 
"Voto minore di 100 su 110")) 


borsa_Fact <- factor(DF_INSPROFDOTTRIC_A2018$borsa, 
levels=c(1, 
2, 
3), 
labels=c("Si, per l'intera durata legale del dottorato", 
"Si, solo per una parte della durata legale del dottorato", 
"No")) 


e_borsa_Fact <- factor(DF_INSPROFDOTTRIC_A2018$e_borsa, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Universita' pubblica", 
"Altro ente pubblico", 
"Universita' privata o altro ente/azienda privato", 
"Organismi internazionali (Unione Europea, FAO ecc.)")) 


borsareg_Fact <- factor(DF_INSPROFDOTTRIC_A2018$borsareg, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


redborsa_Fact <- factor(DF_INSPROFDOTTRIC_A2018$redborsa, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, un assegno di ricerca", 
"Si, un'altra forma di reddito fornita dalla stessa Universita' del dottorato (ad es. contratti di docenza)", 
"Si, un reddito da lavoro (non fornito dall'Universita')", 
"No")) 


borsassegno_Fact <- factor(DF_INSPROFDOTTRIC_A2018$borsassegno, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Borsa per l'intera durata legale del dottorato", 
"Borsa solo per una parte della durata legale del dottorato", 
"Assegno di ricerca", 
"Altro reddito fornito dalla stessa Universita' del dottorato", 
"Reddito da lavoro (non fornito dall'Universita')", 
"No")) 


aspett_Fact <- factor(DF_INSPROFDOTTRIC_A2018$aspett, 
levels=c(1, 
2, 
3), 
labels=c("Si, aspettativa retribuita", 
"Si, aspettativa non retribuita", 
"No")) 


didatt_Fact <- factor(DF_INSPROFDOTTRIC_A2018$didatt, 
levels=c(1, 
2, 
3), 
labels=c("Si, regolarmente", 
"Si, occasionalmente", 
"No")) 


estero_d_Fact <- factor(DF_INSPROFDOTTRIC_A2018$estero_d, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, era obbligatorio nel corso di dottorato", 
"Si, non era obbligatorio ma e' stato comunque finanziato", 
"Si, per iniziativa individuale, pagato con fondi propri", 
"No")) 


paese_d_Fact <- factor(DF_INSPROFDOTTRIC_A2018$paese_d, 
levels=c(100, 
101, 
215, 
216, 
219, 
239, 
241, 
301, 
536, 
998), 
labels=c("Italia", 
"Europa-EU, eccetto Italia, Francia, Germania, Regno Unito, Spagna, Svizzera", 
"Francia", 
"Germania", 
"Regno Unito", 
"Spagna", 
"Svizzera", 
"Resto del mondo", 
"Stati Uniti d'America", 
"Non definito")) 


fuoric_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fuoric, 
levels=c(1, 
2), 
labels=c("Ho concluso nei termini previsti", 
"Ho impiegato piu' tempo")) 


fc_w_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fc_w, 
levels=c(1, 
2, 
3, 
4), 
labels=c("I docenti mi hanno richiesto/consigliato di posticipare la tesi", 
"E' stata una mia scelta dovuta a difficolta' nel completare la tesi", 
"Motivi di lavoro", 
"Motivi personali e/o familiari o altro")) 


rifare_d_Fact <- factor(DF_INSPROFDOTTRIC_A2018$rifare_d, 
levels=c(1, 
2, 
3), 
labels=c("Si", 
"No", 
"Non so")) 


nodott_w_Fact <- factor(DF_INSPROFDOTTRIC_A2018$nodott_w, 
levels=c(1, 
2, 
3), 
labels=c("Sono insoddisfatto degli sbocchi professionali offerti dal mercato del lavoro", 
"Sono rimasto deluso dai contenuti del corso", 
"Ho maturato nuovi interessi oppure altro")) 


prog_ric_Fact <- factor(DF_INSPROFDOTTRIC_A2018$prog_ric, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


entepric_Fact <- factor(DF_INSPROFDOTTRIC_A2018$entepric, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Universita' pubblica", 
"Altro ente pubblico", 
"Universita' privata o altro ente/azienda privato", 
"Organismi internazionali")) 


ric_12_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ric_12, 
levels=c(1, 
2, 
3), 
labels=c("Si, in tutti i mesi dell'anno", 
"Si, in alcuni mesi dell'anno", 
"No")) 


ric_13_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ric_13, 
levels=c(1, 
2, 
3), 
labels=c("Si, in tutti i mesi dell'anno", 
"Si, in alcuni mesi dell'anno", 
"No")) 


ric_14_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ric_14, 
levels=c(1, 
2, 
3), 
labels=c("Si, in tutti i mesi dell'anno", 
"Si, in alcuni mesi dell'anno", 
"No")) 


ric_15_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ric_15, 
levels=c(1, 
2, 
3), 
labels=c("Si, in tutti i mesi dell'anno", 
"Si, in alcuni mesi dell'anno", 
"No")) 


ric_16_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ric_16, 
levels=c(1, 
2, 
3), 
labels=c("Si, in tutti i mesi dell'anno", 
"Si, in alcuni mesi dell'anno", 
"No")) 


ric_17_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ric_17, 
levels=c(1, 
2, 
3), 
labels=c("Si, in tutti i mesi dell'anno", 
"Si, in alcuni mesi dell'anno", 
"No")) 


est_pd_Fact <- factor(DF_INSPROFDOTTRIC_A2018$est_pd, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, per motivi di studio", 
"Si, per motivi di lavoro", 
"Si, per motivi personali/familiari", 
"No")) 


postd_p_Fact <- factor(DF_INSPROFDOTTRIC_A2018$postd_p, 
levels=c(100, 
101, 
215, 
216, 
219, 
239, 
241, 
301, 
536, 
998), 
labels=c("Italia", 
"Europa-EU, eccetto Italia, Francia, Germania, Regno Unito, Spagna, Svizzera", 
"Francia", 
"Germania", 
"Regno Unito", 
"Spagna", 
"Svizzera", 
"Resto del mondo", 
"Stati Uniti d'America", 
"Non definito")) 


lavora_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lavora, 
levels=c(1, 
2, 
3), 
labels=c("Si, svolgo un'attivita' lavorativa", 
"Si, svolgo piu' di un'attivita' lavorativa", 
"No, non svolgo alcuna attivita' lavorativa")) 


nolav_w_Fact <- factor(DF_INSPROFDOTTRIC_A2018$nolav_w, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Sto per iniziare un lavoro / sto aspettando una risposta", 
"Sto per iniziare un'attivita' formativa retribuita", 
"Frequento un corso di studi (o di formazione professionale)", 
"Non trovo lavori che mi interessano", 
"Non riesco a trovare alcun tipo di lavoro", 
"Per motivi personali e/o familiari (salute, maternita', assistenza familiari ecc.)", 
"Non mi interessa / non ne ho bisogno", 
"Altro (specificare)")) 


tipo_lav_princ_Fact <- factor(DF_INSPROFDOTTRIC_A2018$tipo_lav_princ, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Lavoro alle dipendenze", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


tipo_lav2_Fact <- factor(DF_INSPROFDOTTRIC_A2018$tipo_lav2, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Lavoro alle dipendenze", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


tipo_lav3_Fact <- factor(DF_INSPROFDOTTRIC_A2018$tipo_lav3, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Lavoro alle dipendenze", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


tipo_lav4_Fact <- factor(DF_INSPROFDOTTRIC_A2018$tipo_lav4, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Lavoro alle dipendenze", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


tipo_lav5_Fact <- factor(DF_INSPROFDOTTRIC_A2018$tipo_lav5, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Lavoro alle dipendenze", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


papriv_Fact <- factor(DF_INSPROFDOTTRIC_A2018$papriv, 
levels=c(1, 
2), 
labels=c("Pubblica Amministrazione (incluse universita' pubbliche)", 
"Per un privato (incluse universita' private)")) 


settate_Fact <- factor(DF_INSPROFDOTTRIC_A2018$settate, 
levels=c(1, 
2, 
3), 
labels=c("Agricoltura, caccia e pesca", 
"Industria", 
"Servizi (incluso settore Ricerca)")) 


atedett_Fact <- factor(DF_INSPROFDOTTRIC_A2018$atedett, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21, 
22), 
labels=c("Agricoltura, caccia e pesca", 
"Estrazione di minerali, produzione e fornitura di energia elettrica, gas, acqua e gestione rifiuti", 
"Fabbricazione di prodotti chimici, petrolchimici e farmaceutici", 
"Fabbricazione di macchinari e apparecchiature meccaniche", 
"Fabbricazione di apparecchiature elettriche, elettroniche e ottiche", 
"Fabbricazione di mezzi di trasporto", 
"Costruzioni", 
"Produzione alimentare, tessile e abbigliamento", 
"Altra attivita' manifatturiera", 
"Istruzione universitaria (inclusi Istituti Liberi Pareggiati)", 
"Istruzione e formazione non universitaria (esclusi istruttori di attivita' sportive)", 
"Attivita' di ricerca svolta da ente pubblico (Cnr, Isfol, Istat, Enea, Osservatori astronomici ecc.)", 
"Attivita' di ricerca e sviluppo svolta da ente/azienda privata (escluse ricerche di mercato)", 
"Pubblica Amministrazione e difesa esclusa la scuola (ministeri, regioni, enti locali, assicurazione obbligatoria ecc.)", 
"Attivita' professionali, scientifiche e tecniche (attivita' legali e contabilita', studi architettura, ingegneria, pubblicita', ricerche di mercato, design, traduzione, veterinari ecc.)", 
"Sanita' e assistenza sociale (ospedali, ASL, studi medici, assistenza sociale ecc.)", 
"Attivita' finanziarie e assicurative", 
"Servizi di informazione e comunicazione (informatica, editoria, telecomunicazioni ecc.)", 
"Commercio, riparazioni veicoli, alloggio e ristorazione (alberghi, ristoranti, pubblici esercizi ecc.)", 
"Organismi e organizzazioni extraterritoriali (ONU, CEE, Eurostat, FAO, Ambasciata, Consolato ecc.)", 
"Trasporto, magazzinaggio e servizi postali", 
"Altri servizi: attivita' immobiliari, noleggio, agenzie viaggio, servizi alle imprese e alla persona, attivita' culturali, sportive e artistiche, associazioni (cinema, musei, reclutamento personale, vigilanza, sindacati, call center, palestre, parrucchiere")) 


ate7mod_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ate7mod, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Agricoltura, caccia e pesca", 
"Industria", 
"Istruzione universitaria (inclusi Istituti Liberi Pareggiati)", 
"Istruzione e formazione non universitaria (esclusi istruttori di attivita' sportive)", 
"Attivita' di ricerca svolta da ente pubblico (Cnr, Isfol, Istat, Enea, Osservatori astronomici ecc.)", 
"Attivita' di ricerca e sviluppo svolta da ente/azienda privata (escluse ricerche di mercato)", 
"Altri servizi")) 


unilav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$unilav, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


posuni_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posuni, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Professore", 
"Ricercatore", 
"Titolare di un contratto per attivita' di ricerca", 
"Posizione tecnico-amministrativa (amministrativa-gestionale, biblioteca, servizi generali e tecnici)", 
"Altro (specificare)")) 


posaut_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posaut, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (titolare di piccola impresa, commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nell'azienda di un familiare", 
"Socio di cooperativa")) 


posdip_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posdip, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Dirigente (direttore generale di azienda, dirigente di dipartimento ricerca e sviluppo ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio (operaio comune, specializzato, capo operaio, colf, baby sitter, usciere, facchino ecc.)", 
"Apprendista", 
"Lavoratore presso il proprio domicilio per conto di un'impresa")) 


posepr_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posepr, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Dirigente di ricerca (o dirigente tecnologo)", 
"Primo ricercatore (o primo tecnologo)", 
"Ricercatore (o tecnologo)", 
"Impiegato", 
"Altro (specificare)")) 


posiz_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posiz, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21, 
22), 
labels=c("Professore", 
"Ricercatore", 
"Titolare di un contratto per attivita' di ricerca", 
"Posizione tecnico-amministrativa (amministrativa-gestionale, biblioteca, servizi generali e tecnici)", 
"Altra posizione presso l'Universita'", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (titolare di piccola impresa, commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nell'azienda di un familiare", 
"Socio di cooperativa", 
"Dirigente (direttore generale di azienda, dirigente di dipartimento ricerca e sviluppo ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio (operaio comune, specializzato, capo operaio, colf, baby sitter, usciere, facchino ecc.)", 
"Apprendista", 
"Lavoratore presso il proprio domicilio per conto di un'impresa", 
"Dirigente di ricerca (o dirigente tecnologo)", 
"Primo ricercatore (o primo tecnologo)", 
"Ricercatore (o tecnologo)", 
"Impiegato presso ente pubblico di ricerca", 
"Altra posizione presso un ente pubblico di ricerca")) 


detind_Fact <- factor(DF_INSPROFDOTTRIC_A2018$detind, 
levels=c(1, 
2), 
labels=c("A tempo indeterminato (senza una scadenza)", 
"A tempo determinato (a termine)")) 


condiz_Fact <- factor(DF_INSPROFDOTTRIC_A2018$condiz, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Lavoro alle dipendenze a tempo indeterminato", 
"Lavoro alle dipendenze a tempo determinato", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


stagiona_Fact <- factor(DF_INSPROFDOTTRIC_A2018$stagiona, 
levels=c(1, 
2, 
3), 
labels=c("Continuativo", 
"Occasionale", 
"Stagionale")) 


contrat_Fact <- factor(DF_INSPROFDOTTRIC_A2018$contrat, 
levels=c(1, 
2, 
3), 
labels=c("Contratto di apprendistato, inserimento lavorativo o formazione lavoro (inquadrato in un CCNL)", 
"Contratto di lavoro interinale o di somministrazione lavoro (inquadrato in un CCNL)", 
"Altro tipo di contratto a termine (inclusi contratti esteri a termine) o senza contratto")) 


det_w_Fact <- factor(DF_INSPROFDOTTRIC_A2018$det_w, 
levels=c(1, 
2, 
3), 
labels=c("Preferisco che il lavoro sia a tempo determinato", 
"Non ho trovato un lavoro a tempo indeterminato soddisfacente", 
"Non ho trovato un lavoro a tempo indeterminato")) 


partime_Fact <- factor(DF_INSPROFDOTTRIC_A2018$partime, 
levels=c(1, 
2), 
labels=c("A tempo pieno", 
"A tempo parziale (part time)")) 


part_w_Fact <- factor(DF_INSPROFDOTTRIC_A2018$part_w, 
levels=c(1, 
2), 
labels=c("Non ho trovato un lavoro a tempo pieno", 
"Non voglio un lavoro a tempo pieno")) 


prof1_Fact <- factor(DF_INSPROFDOTTRIC_A2018$prof1, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 

prof2_Fact <- factor(DF_INSPROFDOTTRIC_A2018$prof2, 
levels=c("1.1", 
"1.2", 
"1.3", 
"2.1", 
"2.2", 
"2.3", 
"2.4", 
"2.5", 
"2.6", 
"3.1", 
"3.2", 
"3.3", 
"3.4", 
"4.1", 
"4.2", 
"4.3", 
"4.4", 
"5.1", 
"5.2", 
"5.3", 
"5.4", 
"6.1", 
"6.2", 
"6.3", 
"6.4", 
"6.5", 
"7.1", 
"7.2", 
"7.3", 
"7.4", 
"8.1", 
"8.2", 
"8.3", 
"8.4", 
"9.1", 
"9.2", 
"9.3"), 
labels=c("Membri dei corpi legislativi e di governo, dirigenti ed equiparati dell'amministrazione pubblica, nella magistratura, nei servizi di sanità, istruzione e ricerca e nelle organizzazioni di interesse nazionale e sovranazionale", 
"Imprenditori, amministratori e direttori di grandi aziende", 
"Imprenditori e responsabili di piccole aziende", 
"Specialisti in scienze matematiche, informatiche, chimiche, fisiche e naturali", 
"Ingegneri, architetti e professioni assimilate", 
"Specialisti nelle scienze della vita", 
"Specialisti della salute", 
"Specialisti in scienze umane, sociali, artistiche e gestionali", 
"Specialisti della formazione e della ricerca", 
"Professioni tecniche in campo scientifico, ingegneristico e della produzione", 
"Professioni tecniche nelle scienze della salute e della vita", 
"Professioni tecniche nellorganizzazione, amministrazione e nelle attività finanziarie e commerciali", 
"Professioni tecniche nei servizi pubblici e alle persone", 
"Impiegati addetti alle funzioni di segreteria e alle macchine da ufficio", 
"Impiegati addetti ai movimenti di denaro e all'assistenza clienti", 
"Impiegati addetti alla gestione amministrativa, contabile e finanziaria", 
"Impiegati addetti alla raccolta, controllo, conservazione e recapito della documentazione", 
"Professioni qualificate nelle attività commerciali", 
"Professioni qualificate nelle attività ricettive e della ristorazione", 
"Professioni qualificate nei servizi sanitari e sociali", 
"Professioni qualificate nei servizi culturali, di sicurezza, di pulizia e alla persona", 
"Artigiani e operai specializzati dell industria estrattiva, delledilizia e della manutenzione degli edifici", 
"Artigiani ed operai metalmeccanici specializzati e installatori e manutentori di attrezzature elettriche ed elettroniche", 
"Artigiani ed operai specializzati della meccanica di precisione, dell'artigianato artistico, della stampa ed assimilati", 
"Agricoltori e operai specializzati dellagricoltura, delle foreste, della zootecnia, della pesca e della caccia", 
"Artigiani e operai specializzati delle lavorazioni alimentari, del legno, del tessile, dell'abbigliamento, delle pelli, del cuoio e dell'industria dello spettacolo", 
"Conduttori di impianti industriali", 
"Operai semiqualificati di macchinari fissi per la lavorazione in serie e operai addetti al montaggio", 
"Operatori di macchinari fissi in agricoltura e nella industria alimentare", 
"Conduttori di veicoli, di macchinari mobili e di sollevamento", 
"Professioni non qualificate nel commercio e nei servizi", 
"Professioni non qualificate nelle attività domestiche, ricreative e culturali", 
"Professioni non qualificate nell'agricoltura, nella manutenzione del verde, nell'allevamento, nella silvicoltura e nella pesca", 
"Professioni non qualificate nella manifattura, nell'estrazione di minerali e nelle costruzioni", 
"Ufficiali delle forze armate", 
"Sergenti, sovraintendenti e marescialli delle forze armate", 
"Truppa delle forze ar

areabor_Fact <- factor(DF_INSPROFDOTTRIC_A2018$areabor, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15), 
labels=c("Scienze matematiche e informatiche", 
"Scienze fisiche", 
"Scienze chimiche", 
"Scienze della terra", 
"Scienze biologiche", 
"Scienze mediche", 
"Scienze agrarie e veterinarie", 
"Ingegneria civile e Architettura", 
"Ingegneria industriale e dell'informazione", 
"Scienze dell'antichita', filologico-letterarie e storico-artistiche", 
"Scienze storiche, filosofiche, pedagogiche e psicologiche", 
"Scienze giuridiche", 
"Scienze economiche e statistiche", 
"Scienze politiche e sociali", 
"Altro")) 


itaest_l_Fact <- factor(DF_INSPROFDOTTRIC_A2018$itaest_l, 
levels=c(1, 
2), 
labels=c("In Italia", 
"In un altro Paese")) 


provlav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$provlav, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"096", 
"103", 
"007", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"097", 
"098", 
"108", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"093", 
"008", 
"009", 
"010", 
"011", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"099", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"100", 
"054", 
"055", 
"041", 
"042", 
"043", 
"044", 
"109", 
"056", 
"057", 
"058", 
"059", 
"060", 
"066", 
"067", 
"068", 
"069", 
"070", 
"094", 
"061", 
"062", 
"063", 
"064", 
"065", 
"071", 
"072", 
"073", 
"074", 
"075", 
"110", 
"076", 
"077", 
"078", 
"079", 
"080", 
"101", 
"102", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"095", 
"104", 
"105", 
"106", 
"107"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Biella", 
"Verbano-Cusio-Ossola", 
"Valle d'Aosta/Vallée d'Aoste", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Lecco", 
"Lodi", 
"Monza e della Brianza", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Pordenone", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forlì-Cesena", 
"Rimini", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Prato", 
"Perugia", 
"Terni", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Fermo", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Isernia", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Barletta-Andria-Trani", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Crotone", 
"Vibo Valentia", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Oristano", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias"))

reglav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$reglav, 
levels=c("010", 
"020", 
"030", 
"041", 
"042", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200", 
"999"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Bolzano - Bozen", 
"Trento", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Estero")) 


riplav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$riplav, 
levels=c(1, 
2, 
3, 
4, 
5, 
9), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole", 
"Estero")) 


paeselav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$paeselav, 
levels=c(100, 
101, 
215, 
216, 
219, 
239, 
241, 
301, 
536, 
998), 
labels=c("Italia", 
"Europa-EU, eccetto Italia, Francia, Germania, Regno Unito, Spagna, Svizzera", 
"Francia", 
"Germania", 
"Regno Unito", 
"Spagna", 
"Svizzera", 
"Resto del mondo", 
"Stati Uniti d'America", 
"Non definito")) 


m_inilav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$m_inilav, 
levels=c(1, 
2, 
3, 
4), 
labels=c("1° Trimestre", 
"2° Trimestre", 
"3° Trimestre", 
"4° Trimestre"

canale_Fact <- factor(DF_INSPROFDOTTRIC_A2018$canale, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Concorso pubblico (comprese selezioni pubbliche)", 
"Conoscenza diretta del datore di lavoro", 
"Segnalazione a datore di lavoro da parte di familiari/amici/conoscenti", 
"Segnalazione a datori di lavoro da parte dell'Universita'/centri di formazione", 
"A seguito di uno stage o tirocinio presso azienda/ente", 
"Chiamata diretta dell'azienda/ente", 
"Inserzioni sui giornali o su Internet", 
"Invio di curriculum ai datori di lavoro (presentandosi di persona, presentando domande, telefonando ecc.)", 
"Centro pubblico per l'impiego (ex Ufficio di collocamento)", 
"Ho iniziato un'attivita' autonoma (da solo o con altri)", 
"Agenzie private di collocamento o selezione del personale", 
"Altro (specificare)")) 


betpos_Fact <- factor(DF_INSPROFDOTTRIC_A2018$betpos, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


dottric_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dottric, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, era espressamente richiesto ed e' stato utile", 
"Si, era espressamente richiesto ma non e' stato utile", 
"No, non era richiesto ma e' stato utile (es. ha inciso sulla valutazione del curriculum)", 
"No, non era richiesto e non e' stato utile")) 


dneces_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dneces, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


lauric_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lauric, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, era espressamente richiesta ed e' stata utile", 
"Si, era espressamente richiesta ma non e' stata utile", 
"No, non era richiesta ma e' stata utile (es. ha inciso sulla valutazione del curriculum)", 
"No, non era richiesta e non e' stata utile")) 


ricerca_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ricerca, 
levels=c(1, 
2, 
3), 
labels=c("Si, in modo prevalente", 
"Si, solo in parte", 
"No, per niente")) 


docenza_Fact <- factor(DF_INSPROFDOTTRIC_A2018$docenza, 
levels=c(1, 
2, 
3), 
labels=c("Si, in modo prevalente", 
"Si, solo in parte", 
"No, per niente")) 


p_uni_Fact <- factor(DF_INSPROFDOTTRIC_A2018$p_uni, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, solo in Italia", 
"Si, solo all'estero", 
"Si, in Italia e all'estero", 
"No")) 


p_epr_Fact <- factor(DF_INSPROFDOTTRIC_A2018$p_epr, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, solo in Italia", 
"Si, solo all'estero", 
"Si, in Italia e all'estero", 
"No")) 


p_istpri_Fact <- factor(DF_INSPROFDOTTRIC_A2018$p_istpri, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, solo in Italia", 
"Si, solo all'estero", 
"Si, in Italia e all'estero", 
"No")) 


p_consor_Fact <- factor(DF_INSPROFDOTTRIC_A2018$p_consor, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, solo in Italia", 
"Si, solo all'estero", 
"Si, in Italia e all'estero", 
"No")) 


p_impres_Fact <- factor(DF_INSPROFDOTTRIC_A2018$p_impres, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, solo in Italia", 
"Si, solo all'estero", 
"Si, in Italia e all'estero", 
"No")) 


p_org_Fact <- factor(DF_INSPROFDOTTRIC_A2018$p_org, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, solo in Italia", 
"Si, solo all'estero", 
"Si, in Italia e all'estero", 
"No")) 


progetto_Fact <- factor(DF_INSPROFDOTTRIC_A2018$progetto, 
levels=c(1, 
2), 
labels=c("Maschi", 
"Femmine")) 


lavora_dott_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lavora_dott, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


tiplav_0_Fact <- factor(DF_INSPROFDOTTRIC_A2018$tiplav_0, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Lavoro alle dipendenze a tempo indeterminato", 
"Lavoro alle dipendenze a tempo determinato", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


ate_0_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ate_0, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Agricoltura, caccia e pesca", 
"Industria", 
"Istruzione universitaria (inclusi Istituti Liberi Pareggiati)", 
"Istruzione e formazione non universitaria (esclusi istruttori di attivita' sportive)", 
"Attivita' di ricerca svolta da ente pubblico (Cnr, Isfol, Istat, Enea, Osservatori astronomici ecc.)", 
"Attivita' di ricerca e sviluppo svolta da ente/azienda privata (escluse ricerche di mercato)", 
"Altri servizi")) 


posautd_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posautd, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (titolare di piccola impresa, commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nell'azienda di un familiare prevalentemente nella direzione dell'azienda", 
"Coadiuvante nell'azienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivita'", 
"Socio di cooperativa, impegnato prevalentemente nella direzione", 
"Socio di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivita' amministrative")) 


posdipd_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posdipd, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Dirigente (direttore generale di azienda, dirigente di dipartimento ricerca e sviluppo ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio (operaio comune, specializzato, capo operaio, colf, baby sitter, usciere, facchino ecc.)", 
"Apprendista", 
"Lavoratore presso il proprio domicilio per conto di un'impresa")) 


ricerca_0_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ricerca_0, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


itaest_0_Fact <- factor(DF_INSPROFDOTTRIC_A2018$itaest_0, 
levels=c(1, 
2), 
labels=c("Italia", 
"Estero")) 


y_lavd_Fact <- factor(DF_INSPROFDOTTRIC_A2018$y_lavd, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("2009 o anni precedenti", 
"2010", 
"2011", 
"2011 o anni precedenti", 
"2012", 
"2013", 
"2014")) 


m_lavd_Fact <- factor(DF_INSPROFDOTTRIC_A2018$m_lavd, 
levels=c(1, 
2, 
3, 
4), 
labels=c("1° Trimestre", 
"2° Trimestre", 
"3° Trimestre", 
"4° Trimestre"

endlavd_Fact <- factor(DF_INSPROFDOTTRIC_A2018$endlavd, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10), 
labels=c("Avevo trovato un altro lavoro", 
"E' giunto alla sua naturale scadenza (lavoro a termine, borsa di studio, ecc.)", 
"Non mi piaceva quel tipo di lavoro", 
"Non mi garantiva stabilita' o sicurezza", 
"Non ero soddisfatto del trattamento economico", 
"Non ero soddisfatto delle possibilita' di carriera", 
"Avevo impegni familiari o personali", 
"La sede di lavoro era troppo distante", 
"Per licenziamento /chiusura attivita'", 
"Altro (specificare)")) 


lav_2015_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lav_2015, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


cerca13_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cerca13, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


tiplav_15_Fact <- factor(DF_INSPROFDOTTRIC_A2018$tiplav_15, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Lavoro alle dipendenze a tempo indeterminato", 
"Lavoro alle dipendenze a tempo determinato", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione d'opera occasionale", 
"Lavoro autonomo", 
"Attivita' finanziata da assegno di ricerca o borsa di studio")) 


ateco_15_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ateco_15, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Agricoltura, caccia e pesca", 
"Industria", 
"Istruzione universitaria (inclusi Istituti Liberi Pareggiati)", 
"Istruzione e formazione non universitaria (esclusi istruttori di attivita' sportive)", 
"Attivita' di ricerca svolta da ente pubblico (Cnr, Isfol, Istat, Enea, Osservatori astronomici ecc.)", 
"Attivita' di ricerca e sviluppo svolta da ente/azienda privata (escluse ricerche di mercato)", 
"Altri servizi")) 


posau13_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posau13, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (titolare di piccola impresa, commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nell'azienda di un familiare prevalentemente nella direzione dell'azienda", 
"Coadiuvante nell'azienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivita'", 
"Socio di cooperativa, impegnato prevalentemente nella direzione", 
"Socio di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivita' amministrative")) 


posdip13_Fact <- factor(DF_INSPROFDOTTRIC_A2018$posdip13, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Dirigente (direttore generale di azienda, dirigente di dipartimento ricerca e sviluppo ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio (operaio comune, specializzato, capo operaio, colf, baby sitter, usciere, facchino ecc.)", 
"Apprendista", 
"Lavoratore presso il proprio domicilio per conto di un'impresa")) 


ricerca_15_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ricerca_15, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


itaest_15_Fact <- factor(DF_INSPROFDOTTRIC_A2018$itaest_15, 
levels=c(1, 
2), 
labels=c("Italia", 
"Estero")) 


ncerca_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ncerca, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


cond18_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cond18, 
levels=c(1, 
2, 
3, 
4), 
labels=c("lavoro iniziato prima", 
"lavoro iniziato dopo", 
"non lavora e cerca", 
"non lavora e non cerca")) 


ncerca_w_Fact <- factor(DF_INSPROFDOTTRIC_A2018$ncerca_w, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Sto per iniziare un lavoro", 
"Svolgo o sto per iniziare un'attivita' formativa retribuita", 
"Frequento un corso di studi (o di formazione professionale)", 
"Ritengo di non riuscire a trovare lavoro", 
"Sono in attesa dell'esito di un concorso o di passate azioni di ricerca", 
"Collaboro ad un'attivita' familiare", 
"Per maternita', nascita di un figlio", 
"Per altri motivi personali/familiari (salute, assistenza familiari ecc.)", 
"Altro (specificare)")) 


cl_ini_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cl_ini, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Negli ultimi trenta giorni", 
"Da piu' di un mese a meno di sei mesi", 
"Da sei mesi o piu'", 
"Non ho ancora preso alcuna iniziativa")) 


cl_part_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cl_part, 
levels=c(1, 
2, 
3), 
labels=c("A tempo pieno", 
"Part time", 
"Non ho preferenze")) 


cl_dip_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cl_dip, 
levels=c(1, 
2, 
3), 
labels=c("In proprio", 
"Come dipendente", 
"Non ho preferenze")) 


cl_ric_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cl_ric, 
levels=c(1, 
2), 
labels=c("Si, solo nell'ambito della ricerca", 
"No, anche in ambiti diversi dalla ricerca")) 


cl_ita_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cl_ita, 
levels=c(1, 
2, 
3), 
labels=c("Solo in Italia", 
"Solo all'estero", 
"Ovunque, sia in Italia che all'estero")) 


cl_com_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cl_com, 
levels=c(1, 
2, 
3), 
labels=c("Si, ma solo nell'ambito della regione in cui vivo", 
"Si, anche fuori della regione in cui vivo", 
"No")) 


cl_ora_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cl_ora, 
levels=c(1, 
2, 
3), 
labels=c("Si, potrei iniziarlo entro le prossime due settimane", 
"No, dovrei rispettare i termini di preavviso all'attuale datore di lavoro", 
"No, ci sono altri motivi per cui dovrei rinviare")) 


viveita_Fact <- factor(DF_INSPROFDOTTRIC_A2018$viveita, 
levels=c(1, 
2), 
labels=c("Italia", 
"Estero")) 


viveprov_Fact <- factor(DF_INSPROFDOTTRIC_A2018$viveprov, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"096", 
"103", 
"007", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"097", 
"098", 
"108", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"093", 
"008", 
"009", 
"010", 
"011", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"099", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"100", 
"054", 
"055", 
"041", 
"042", 
"043", 
"044", 
"109", 
"056", 
"057", 
"058", 
"059", 
"060", 
"066", 
"067", 
"068", 
"069", 
"070", 
"094", 
"061", 
"062", 
"063", 
"064", 
"065", 
"071", 
"072", 
"073", 
"074", 
"075", 
"110", 
"076", 
"077", 
"078", 
"079", 
"080", 
"101", 
"102", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"095", 
"104", 
"105", 
"106", 
"107"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Biella", 
"Verbano-Cusio-Ossola", 
"Valle d'Aosta/Vallée d'Aoste", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Lecco", 
"Lodi", 
"Monza e della Brianza", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Pordenone", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forlì-Cesena", 
"Rimini", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Prato", 
"Perugia", 
"Terni", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Fermo", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Isernia", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Barletta-Andria-Trani", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Crotone", 
"Vibo Valentia", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Oristano", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias"))

vivereg_Fact <- factor(DF_INSPROFDOTTRIC_A2018$vivereg, 
levels=c("010", 
"020", 
"030", 
"041", 
"042", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200", 
"999"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Bolzano - Bozen", 
"Trento", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Estero")) 


viverip_Fact <- factor(DF_INSPROFDOTTRIC_A2018$viverip, 
levels=c(1, 
2, 
3, 
4, 
5, 
9), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole", 
"Estero")) 


vivest_Fact <- factor(DF_INSPROFDOTTRIC_A2018$vivest, 
levels=c(100, 
101, 
215, 
216, 
219, 
239, 
241, 
301, 
536, 
998), 
labels=c("Italia", 
"Europa-EU, eccetto Italia, Francia, Germania, Regno Unito, Spagna, Svizzera", 
"Francia", 
"Germania", 
"Regno Unito", 
"Spagna", 
"Svizzera", 
"Resto del mondo", 
"Stati Uniti d'America", 
"Non definito")) 


uniora_Fact <- factor(DF_INSPROFDOTTRIC_A2018$uniora, 
levels=c(1, 
2), 
labels=c("Nello stesso comune (o localita' estera) in cui vivo attualmente", 
"Altrove")) 


unita_Fact <- factor(DF_INSPROFDOTTRIC_A2018$unita, 
levels=c(1, 
2), 
labels=c("Italia", 
"Estero")) 


uniprov_Fact <- factor(DF_INSPROFDOTTRIC_A2018$uniprov, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"096", 
"103", 
"007", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"097", 
"098", 
"108", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"093", 
"008", 
"009", 
"010", 
"011", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"099", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"100", 
"054", 
"055", 
"041", 
"042", 
"043", 
"044", 
"109", 
"056", 
"057", 
"058", 
"059", 
"060", 
"066", 
"067", 
"068", 
"069", 
"070", 
"094", 
"061", 
"062", 
"063", 
"064", 
"065", 
"071", 
"072", 
"073", 
"074", 
"075", 
"110", 
"076", 
"077", 
"078", 
"079", 
"080", 
"101", 
"102", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"095", 
"104", 
"105", 
"106", 
"107"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Biella", 
"Verbano-Cusio-Ossola", 
"Valle d'Aosta/Vallée d'Aoste", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Lecco", 
"Lodi", 
"Monza e della Brianza", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Pordenone", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forlì-Cesena", 
"Rimini", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Prato", 
"Perugia", 
"Terni", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Fermo", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Isernia", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Barletta-Andria-Trani", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Crotone", 
"Vibo Valentia", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Oristano", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias"))

unireg_Fact <- factor(DF_INSPROFDOTTRIC_A2018$unireg, 
levels=c("010", 
"020", 
"030", 
"041", 
"042", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200", 
"999"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Bolzano - Bozen", 
"Trento", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Estero")) 


unirip_Fact <- factor(DF_INSPROFDOTTRIC_A2018$unirip, 
levels=c(1, 
2, 
3, 
4, 
5, 
9), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole", 
"Estero")) 


unipaese_Fact <- factor(DF_INSPROFDOTTRIC_A2018$unipaese, 
levels=c(100, 
101, 
301, 
998), 
labels=c("Italia", 
"Europa-EU, escluso Italia", 
"Resto del mondo, incluso apolidi", 
"Non definito")) 


dotora_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dotora, 
levels=c(1, 
2), 
labels=c("Nello stesso comune (o localita' estera) in cui vivo attualmente", 
"Altrove")) 


dotita_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dotita, 
levels=c(1, 
2), 
labels=c("Italia", 
"Estero")) 


dotprov_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dotprov, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"096", 
"103", 
"007", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"097", 
"098", 
"108", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"093", 
"008", 
"009", 
"010", 
"011", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"099", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"100", 
"054", 
"055", 
"041", 
"042", 
"043", 
"044", 
"109", 
"056", 
"057", 
"058", 
"059", 
"060", 
"066", 
"067", 
"068", 
"069", 
"070", 
"094", 
"061", 
"062", 
"063", 
"064", 
"065", 
"071", 
"072", 
"073", 
"074", 
"075", 
"110", 
"076", 
"077", 
"078", 
"079", 
"080", 
"101", 
"102", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"095", 
"104", 
"105", 
"106", 
"107"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Biella", 
"Verbano-Cusio-Ossola", 
"Valle d'Aosta/Vallée d'Aoste", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Lecco", 
"Lodi", 
"Monza e della Brianza", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Pordenone", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forlì-Cesena", 
"Rimini", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Prato", 
"Perugia", 
"Terni", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Fermo", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Isernia", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Barletta-Andria-Trani", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Crotone", 
"Vibo Valentia", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Oristano", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias"))

dotreg_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dotreg, 
levels=c("010", 
"020", 
"030", 
"041", 
"042", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200", 
"999"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Bolzano - Bozen", 
"Trento", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Estero")) 


dotrip_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dotrip, 
levels=c(1, 
2, 
3, 
4, 
5, 
9), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole", 
"Estero")) 


dotpaese_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dotpaese, 
levels=c(100, 
101, 
301, 
998), 
labels=c("Italia", 
"Europa-EU, escluso Italia", 
"Resto del mondo, incluso apolidi", 
"Non definito")) 


lp_spec_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_spec, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


lp_ric_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_ric, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


lp_lav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_lav, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


lp_prof_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_prof, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


lp_manca_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_manca, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


lp_fondi_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_fondi, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


lp_ind_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_ind, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


lp_fam_Fact <- factor(DF_INSPROFDOTTRIC_A2018$lp_fam, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_stu_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_stu, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_esp_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_esp, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_lav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_lav, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_qual_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_qual, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_red_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_red, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_ava_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_ava, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_accor_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_accor, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sp_fam_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sp_fam, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sc_stu_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sc_stu, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sc_esp_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sc_esp, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sc_lav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sc_lav, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sc_qual_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sc_qual, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sc_red_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sc_red, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


sc_pers_Fact <- factor(DF_INSPROFDOTTRIC_A2018$sc_pers, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fuga_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fuga, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Si, in modo permanente", 
"Si, in via temporanea", 
"No", 
"Non so")) 


fuga_p_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fuga_p, 
levels=c(100, 
101, 
215, 
216, 
219, 
239, 
241, 
301, 
536, 
998), 
labels=c("Italia", 
"Europa-EU, eccetto Italia, Francia, Germania, Regno Unito, Spagna, Svizzera", 
"Francia", 
"Germania", 
"Regno Unito", 
"Spagna", 
"Svizzera", 
"Resto del mondo", 
"Stati Uniti d'America", 
"Non definito")) 


fugastu_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugastu, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fugaesp_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugaesp, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fugalav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugalav, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fugaqual_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugaqual, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fugared_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugared, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fugav_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugav, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fugaccor_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugaccor, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


fugafam_Fact <- factor(DF_INSPROFDOTTRIC_A2018$fugafam, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


stciv_Fact <- factor(DF_INSPROFDOTTRIC_A2018$stciv, 
levels=c(1, 
2, 
3), 
labels=c("Celibe/nubile", 
"Coniugato/a o unito/a civilmente", 
"Coniugato/a non coabitante con il coniuge, separato/a legalmente, divorziato/a, gia' in unione civile o vedovo/a")) 


figlio_Fact <- factor(DF_INSPROFDOTTRIC_A2018$figlio, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


titstu_p_Fact <- factor(DF_INSPROFDOTTRIC_A2018$titstu_p, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Licenza elementare o nessun titolo", 
"Licenza media (o avviamento professionale)", 
"Diploma (o qualifica) di scuola superiore", 
"Diploma universitario, diploma post-secondario", 
"Laurea o post-laurea (dottorato, master, specializzazione)", 
"Non so")) 


cond_p_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cond_p, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Occupato", 
"In cerca di nuova occupazione", 
"Ritirato dal lavoro", 
"In altra condizione", 
"Non so", 
"Deceduto")) 


dipaut_p_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dipaut_p, 
levels=c(1, 
2, 
3), 
labels=c("Lavoratore dipendente", 
"Lavoratore autonomo", 
"Non so")) 


aut_p_Fact <- factor(DF_INSPROFDOTTRIC_A2018$aut_p, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nell'azienda di un familiare prevalentemente nella direzione dell'azienda", 
"Coadiuvante nell'azienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivita'", 
"Socio di cooperativa, impegnato prevalentemente nella direzione", 
"Socio di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivita' amministrative")) 


dip_p_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dip_p, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (professore universitario, ricercatore ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio,militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio specializzato (capo operaio, conduttore di macchinari ecc.)", 
"Operaio semplice (colf, usciere, portiere, facchino, bracciante agricolo ecc.)")) 


titstu_m_Fact <- factor(DF_INSPROFDOTTRIC_A2018$titstu_m, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Licenza elementare o nessun titolo", 
"Licenza media (o avviamento professionale)", 
"Diploma (o qualifica) di scuola superiore", 
"Diploma universitario, diploma post-secondario", 
"Laurea o post-laurea (dottorato, master, specializzazione)", 
"Non so")) 


titstugen_Fact <- factor(DF_INSPROFDOTTRIC_A2018$titstugen, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Licenza elementare o nessun titolo", 
"Licenza media (o avviamento professionale)", 
"Diploma (o qualifica) di scuola superiore", 
"Diploma universitario, diploma post-secondario", 
"Laurea o post-laurea (dottorato, master, specializzazione)", 
"Non so")) 


cond_m_Fact <- factor(DF_INSPROFDOTTRIC_A2018$cond_m, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Occupata", 
"In cerca di nuova occupazione", 
"Casalinga", 
"Ritirata dal lavoro", 
"In altra condizione", 
"Non so", 
"Deceduta")) 


dipaut_m_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dipaut_m, 
levels=c(1, 
2, 
3), 
labels=c("Lavoratrice dipendente", 
"Lavoratrice autonoma", 
"Non so")) 


aut_m_Fact <- factor(DF_INSPROFDOTTRIC_A2018$aut_m, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditrice", 
"Libera professionista", 
"Lavoratrice in proprio (commerciante, sarta, coltivatrice diretta ecc.)", 
"Coadiuvante nell'azienda di un familiare prevalentemente nella direzione dell'azienda", 
"Coadiuvante nell'azienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivita'", 
"Socia di cooperativa, impegnata prevalentemente nella direzione", 
"Socia di cooperativa, impegnata prevalentemente nella produzione di beni/servizi o nelle attivita' amministrative")) 


dip_m_Fact <- factor(DF_INSPROFDOTTRIC_A2018$dip_m, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (professoressa universitaria, ricercatrice ecc.)", 
"Quadro, funzionaria (insegnante di scuola materna, elementare, media inferiore o superiore ecc.)", 
"Impiegata ad alta/media qualificazione (infermiera professionale, contabile, archivista, capo segreteria ecc.)", 
"Impiegata esecutiva (addetta allo sportello, telefonista, segretaria, commessa di negozio ecc.)", 
"Operaia specializzata (capo operaia, conduttrice di macchinari ecc.)", 
"Operaia semplice (colf, bidella, portiera, bracciante agricola ecc.)")) 

save.image (file="DF_INSPROFDOTTRIC_A2018.RData")
